Page MenuHomePhabricator

CodeMirror should not redefine Alt+Left and Alt+Right
Closed, ResolvedPublic

Description

When extension CodeMirror is activated the key combination Alt+Left jumps like key Home to the beginning of the paragraph and Alt-Right jumps like key End to the end of the paragraph. The redefining of Alt+Left and Alt+Right is annoying because this key combination is normally browser history back and forward.

Please deactivate the redefinition of Alt+Left and Alt+Right in CodeMirror.

Event Timeline

Fomafix created this task.Aug 24 2017, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2017, 5:10 PM

Change 373624 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/extensions/CodeMirror@master] Do not redefine the browser history navigation keys Alt-Left and Alt-Right

https://gerrit.wikimedia.org/r/373624

Fomafix claimed this task.Aug 24 2017, 6:01 PM

Change 373624 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Do not redefine the browser history navigation keys Alt-Left and Alt-Right

https://gerrit.wikimedia.org/r/373624

Pastakhov closed this task as Resolved.Sep 4 2017, 9:07 AM
Pastakhov triaged this task as Normal priority.
Pastakhov removed a project: Patch-For-Review.

Change 377302 had a related patch set uploaded (by Pastakhov; owner: Pastakhov):
[mediawiki/extensions/CodeMirror@master] Fix word jumping (option arrow key) for Mac

https://gerrit.wikimedia.org/r/377302

Change 377302 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Fix word jumping (option arrow key) for Mac

https://gerrit.wikimedia.org/r/377302

Restricted Application added a project: Community-Tech. · View Herald TranscriptFeb 9 2018, 4:01 PM
TBolliger moved this task from Untriaged to Archive on the Community-Tech board.Feb 14 2018, 1:12 AM